<!DOCTYPE html>
<html>
	<body>
		<p>Click the button to solve 4 question of binary tree</p>
		<button onclick="count_number_of_turn()">cont number of turn</button>
		<p id="demo"></p>

		<script>
			function largest_diffrence() {
			
				// Node class
				class Node {
					constructor(data)
					{
						this.data = data;
						this.left = null;
						this.right = null;
					}
				}
				
				// Binary Search tree class
				class Tree {
					constructor() {
					// root of a binary seach tree
					this.root = null;
				}
				
                // returns root of the tree
			    getRootNode() {
				    return this.root;
			    }
			
            }

            //function to find the Lowest common ancestor of two given values n1 and n2. 
            function get_lowest_common_ansester(root,n1,n2) { 
                // Base case 
                if (root == null) 
                    return null; 
            
                // If either n1 or n2 matches with  root's key.
                if (root.data == n1 || root.data == n2) 
                    return root; 
            
                // Look for keys in left and right subtrees 
                var left_lca = get_lowest_common_ansester(root.left, n1, n2); 
                var right_lca = get_lowest_common_ansester(root.right, n1, n2); 
            
                // If both of the above calls return  Non-NULL, then one key is present  
                // in once subtree and other is present  in other, So this node is the LCA 
                if (left_lca && right_lca) 
                    return root; 
            
                // Otherwise check if left subtree or right  subtree is LCA 
                return (left_lca != NULL) ? left_lca : right_lca; 
            }



            
            // create an object for the Tree
            var tree = new Tree();
            tree.root = new Node(4);
            tree.root.left = new Node(2);
            tree.root.right = new Node(5);
            tree.root.left.left = new Node(1);
            tree.root.left.right = new Node(3)
            tree.root.right.left = new Node(30);
            tree.root.right.right = new Node(50);  
        }
		</script>

	</body>
</html>